package com.zjty.inspect.enums;

import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
public enum  RpoEnum {
    QLM(0,"与RTO时间的前60秒同步"),
    QLF(1,"与RTO时间的前60分钟同步"),
    QSS(2,"与RTO时间的前10小时同步"),
    QESS(3,"与RTO时间的前24小时同步"),
    HFQ(4,"允许丢失恢复期间所产生的数据"),
    GJ(5,"允许丢失割接准备时期+恢复期间所产生的数据"),
    GJALL(6,"允许丢失割接前备份以外的所有数据"),
    NONE(-1,"无");
    private static Map<String,RpoEnum> rpoEnumHashMap=new HashMap<>();
    private static Map<Integer,RpoEnum> rpoCodeEnumHashMap=new HashMap<>();

    static {
        for (RpoEnum rpoEnum : RpoEnum.values()) {
            rpoEnumHashMap.put(rpoEnum.getName(),rpoEnum);
            rpoCodeEnumHashMap.put(rpoEnum.getCode(),rpoEnum);
        }
    }
    public static RpoEnum getByName(String name){
        RpoEnum rpoEnum = rpoEnumHashMap.get(name);
        if(rpoEnum==null){
            return NONE;
        }
        return rpoEnum;
    }
    public static RpoEnum getByCode(Integer code){
        RpoEnum rpoEnum = rpoCodeEnumHashMap.get(code);
        if(rpoEnum==null){
            return NONE;
        }
        return rpoEnum;
    }

    private Integer code;
    private String name;

    RpoEnum() {
    }

    RpoEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }
}
